MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Slots

void | handleResults (unsigned long index)
| A signal was received from the sniffer that a packet of the form Ethernet -> IP -> (TCP|UDP) has to be displayed in the GUI. Also checks if the packet is an http image request to display. More...
void | slot_netwManagerFinished (QNetworkReply *reply)
| This slot is called when an image is successfuly retreived. The image is then added to the GUI display. More...

## Public Member Functions

| MainWindow (QWidget *parent=0)
| Constructor.
| ~MainWindow ()
| Destructor.

## Private Slots

void | on_capture_clicked ()
| Signal that starts or pause the capture of the packets in the sniffer.
void | on_packetDisplay_itemClicked (QTableWidgetItem *item)
| When a line of the packets captured is selected from the GUI a summary of the payload in ascii is presented in the summary box. More...
void | on_resetButton_clicked ()
| Empties the packets vector, resets the GUI packet table and summary.

## Private Attributes

Ui::MainWindow * | ui
Sniffer * | sniff
QThread | sniff_thread
QWaitCondition | wait_pause
int | pause
QMutex | mutex
QStringList | imageList
QNetworkAccessManager * | netManager

## Member Function Documentation

void MainWindow::handleResults | ( | unsigned long | index | ) |

slot

A signal was received from the sniffer that a packet of the form Ethernet -> IP -> (TCP|UDP) has to be displayed in the GUI. Also checks if the packet is an http image request to display.

Parameters

  index | number of the packet in the table

void MainWindow::on_packetDisplay_itemClicked | ( | QTableWidgetItem * | item | ) |

privateslot

When a line of the packets captured is selected from the GUI a summary of the payload in ascii is presented in the summary box.

Parameters

  item | item selected in the GUI

void MainWindow::slot_netwManagerFinished | ( | QNetworkReply * | reply | ) |

slot

This slot is called when an image is successfuly retreived. The image is then added to the GUI display.

Parameters

  reply | object that contains the reply to our request.

## Member Data Documentation

QStringList MainWindow::imageList

private

List of images / lista de imagenes

QMutex MainWindow::mutex

private

Protect critical region / protege region critica

QNetworkAccessManager* MainWindow::netManager

private

to request http images / para solicitar imagenes http

int MainWindow::pause

private

flag to pause / bandera para pausar

Sniffer* MainWindow::sniff

private

pointer to the sniffer class / apuntador a la clase sniffer

QThread MainWindow::sniff_thread

private

thread for the sniffer / hilo para el sniffer

QWaitCondition MainWindow::wait_pause

private

to pause the sniffer / para pausar el sniffer

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp